// Project Sword & Gun Copyright Kevin Poretti

#include "GameplayFramework/FFGameState.h"

void AFFGameState::OnFixedTick(float OneTick)
{
}


void AFFGameState::Tick(float DeltaSeconds)
{
    Super::Tick(DeltaSeconds);

    // Run anything game logic related at a fixed tick rate
    // TODO: Interpolate between prev and current game state if there is time left in accumulator
    AccumulatedTime += DeltaSeconds;
    while(AccumulatedTime > ONE_TICK)
    {
        OnFixedTick(ONE_TICK);

        AccumulatedTime -= ONE_TICK;

        CurrentTick++;
    }
}
